# ZomboidXbow #

##[Download](https://bitbucket.org/berupp/zomboid_xbow/downloads)##

Latest: ZomboidXBow 1.0.2 
- [32.14] No Modloader option fix

## Install from archive ##

1. Download the mod archive

2. Extract to your C:\Users\<your_user>\Zomboid\mods\ directory 
   
       You should now see a C:\Users\<your_user>\Zomboid\mods\ZomboidXBow\ directory
	   

3. Install the latest [Jabs ModelLoader](http://theindiestone.com/forums/index.php/topic/14845-327java-modelloader/) 

4. Start the game and activate the mod


## ModelLoader Alternative ##
_Should only be used in case Jabs ModelLoader got broken by a game update and even then he will update it quickly._

**This will break compatibility with other Mods that are using custom weapons**

You can copy the contents of the 'no_modloader' folder into your Project Zomboid installation root directory.
Then open the file ZXBinit.lua in ZomboidXBow\media\lua\client and edit the following line:

Change: 

```javascript
loadStaticZomboidModel( "weapons_crossbow" , ZXBinit.locationModel .. "weapons_crossbow.txt", ZXBinit.locationTexture .. "Objects_Crossbow.png" ) ;
```

to 

```javascript
--loadStaticZomboidModel( "weapons_crossbow" , ZXBinit.locationModel .. "weapons_crossbow.txt", ZXBinit.locationTexture .. "Objects_Crossbow.png" ) ;
```

This will overwrite an original Project Zomboid file.  To revert your game to its original state, right click Project Zomboid in your Steam library,
select _Properties_, _Local Files_ and click _Verify Integrity of Game Cache_. 


## Server Installation ##

1. Download the mod archive

2. Extract to the following directory:
   
      Windows:    _C:\Users\<your_user>\Zomboid\mods\_
	  
      Linux:      _/home/<yourUser>/Zomboid/mods/_ (Note: You might have to create the 'mods' folder)

      You should now see a _C:\Users\<your_user>\Zomboid\mods\ZomboidXBow\_ directory 
	  or _/home/<yourUser>/Zomboid/mods/ZomboidXBow_ if you are on Linux

3. Edit your server's .ini file which is usually located in
   
      Windows:    _C:\Users\<your_user>\Zomboid\Server\servertest.ini_ 
	  
      Linux:      _/home/<yourUser>/Zomboid/Server/servertest.ini_  
   
      and add 'ZomboidXBow' to **Mods** like this:
   
```javascript
Mods=ZomboidXBow
```
   
       If you have multiple mods separate them by comma (no whitespaces)

4. Verify that mod loaded correctly: You should see the following in the server logs:
	   
```javascript		 
MOD: loading ZomboidXBow
```

## Description and Recipe List ##

For a full mod description and recipe list go [here](https://bitbucket.org/berupp/zomboid_xbow/wiki/Home)
## Changelog ##